oceSmooth {oce} | R Documentation

## Smooth an Oce Object

### Description

Each data element is smoothed as a timeseries. For ADP data, this is done along time, not distance. Time vectors, if any, are not smoothed. A good use of `oce.smooth` is for despiking noisy data.

### Usage

    oceSmooth(x, ...)

### Arguments

`x` | an `oce` object.
`...` | parameters to be supplied to `smooth`, which does the actual work.

### Value

An object of `class` `"oce"` that has been smoothed appropriately.

### Author(s)

Dan Kelley

### See Also

The work is done with `smooth`, and the `...` arguments are handed to it directly by `oce.smooth`.

### Examples

    library(oce)
    data(ctd)
    d <- oce.smooth(ctd)
    plot(d)

[Package oce version 0.9-22 Index]